OpenTTD Source: AirportFTA Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
AirportFTA Struct Reference

Internal structure used in openttd - Finite sTate mAchine --> FTA. More...

`#include <airport.h>`

## Data Fields
AirportFTA * | next
| possible extra movement choices from this position
uint64_t | block
| 64 bit blocks (st->airport.flags), should be enough for the most complex airports
uint8_t | position
| the position that an airplane is at
uint8_t | next_position
| next position from this position
uint8_t | heading
| heading (current orders), guiding an airplane to its target on an airport

## Detailed Description

Internal structure used in openttd - Finite sTate mAchine --> FTA.

Definition at line 190 of file airport.h.

## Field Documentation

## ◆ block

uint64_t AirportFTA::block

64 bit blocks (st->airport.flags), should be enough for the most complex airports

Definition at line 192 of file airport.h.

Referenced by AirportBuildAutomata(), AirportFindFreeTerminal(), AirportHasBlock(), AirportSetBlocks(), and Vehicle::PreDestructor().

## ◆ heading

uint8_t AirportFTA::heading

heading (current orders), guiding an airplane to its target on an airport

Definition at line 195 of file airport.h.

Referenced by AircraftEventHandler_EnterHangar(), AirportBuildAutomata(), AirportFindFreeTerminal(), AirportSetBlocks(), and GetVehiclePosOnBuild().

## ◆ next

AirportFTA* AirportFTA::next

possible extra movement choices from this position

Definition at line 191 of file airport.h.

Referenced by AirportBuildAutomata(), AirportFindFreeTerminal(), and AirportSetBlocks().

## ◆ next_position

uint8_t AirportFTA::next_position

next position from this position

Definition at line 194 of file airport.h.

Referenced by AirportBuildAutomata(), AirportFindFreeTerminal(), AirportHasBlock(), and AirportSetBlocks().

## ◆ position

uint8_t AirportFTA::position

the position that an airplane is at

Definition at line 193 of file airport.h.

Referenced by AirportBuildAutomata(), AirportHasBlock(), AirportSetBlocks(), and GetVehiclePosOnBuild().

The documentation for this struct was generated from the following file:

- src/airport.h